package main

import (
	"encoding/json"
	"fmt"
	"io/ioutil"
	"log"
	"net/http"
)

func main() {
	var ip Dipc
	var client = &http.Client{}
	var url = "https://ip.paulbsd.com"

	req, err := http.NewRequest("GET", url, nil)
	if err != nil {
		log.Fatal(err)
	}

	resp, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}

	body, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		log.Fatal(err)
	}

	err = json.Unmarshal(body, &ip)
	if err != nil {
		log.Println(err)
	}

	fmt.Println(ip.IP)
}

// Dipc is the main struct
type Dipc struct {
	IP       string `json:"ip"`
	Hostname string `json:"hostname"`
}
